<?php
/**
 * The template for displaying property archive pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package kewi
 */
    
get_header();
    
    
?>


    <!-- breadcrumb-area -->
    <section class="breadcrumb-area breadcrumb-bg" data-background="<?php echo KEWI_IMG.'/breadcrumb_bg.jpg'; ?>">
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-lg-6">
                    <div class="breadcrumb-content">
                        <nav aria-label="breadcrumb">
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item"><a href="<?php echo esc_url(home_url('/')); ?>"><?php esc_html_e('Home', 'kewi'); ?></a></li>
                                <li class="breadcrumb-item active" aria-current="page"><?php esc_html_e('Portfolios', 'kewi'); ?></li>
                            </ol>
                        </nav>
                        <h2 class="title"><?php esc_html_e('Portfolios', 'kewi'); ?></h2>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- breadcrumb-area-end -->


    <section id="main-content" class="blog main-container blog-spacing portfolio-container-wrap" role="main">
        <div class="portfolios-grid-area theme-portfolios-grid-wrapper">
            <div class="container">
                <div class="row">
                    <?php if (have_posts()): ?>
                    <?php while (have_posts()): the_post(); ?>
                    <?php get_template_part('template-parts/portfolio/content');  ?>
                    <?php
                        endwhile; ?>
                    <div class="theme-pagination-style">
                        <?php
                            the_posts_pagination(array(
                            'next_text' => '<i class="fa fa-long-arrow-right"></i>',
                            'prev_text' => '<i class="fa fa-long-arrow-left"></i>',
                            'screen_reader_text' => ' ',
                            'type'               => 'list'
                            ));
                        ?>
                    </div>
                    <?php else: ?>
                    <?php get_template_part('template-parts/content', 'none'); ?>
                    <?php endif; ?>
                </div>
            </div>
        </div>
    </section>
    
<?php get_footer(); ?>