<?php
/**
 * The template for displaying catgeory pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package kewi
 */

$cat_breadcrumb = kewi_get_customize_option('cat_breadcrumb_enable', true);

get_header();
	
?>
	<!-- Archive Breadcrumb -->
	<?php if($cat_breadcrumb == true) :?>
	
	<section class="breadcrumb-area breadcrumb-bg" data-background="<?php echo KEWI_IMG.'/breadcrumb_bg.jpg'; ?>">
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-lg-6">
                    <div class="breadcrumb-content">
                        <nav aria-label="breadcrumb">
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item"><a href="<?php echo esc_url(home_url('/')); ?>"><?php esc_html_e('Home', 'kewi'); ?></a></li>
                                <li class="breadcrumb-item active" aria-current="page"><?php single_cat_title(); ?></li>
                            </ol>
                        </nav>
                        <h2 class="title"><?php single_cat_title(); ?></h2>
                    </div>
                </div>
            </div>
        </div>
    </section>
	
	<?php endif; ?>
	<!-- Category Breadcrumb End -->

	<section id="main-content" class="blog main-container blog-spacing cat-page-spacing" role="main">
		<div class="container">
			<div class="row">
				<div class="<?php if(is_active_sidebar('sidebar-1')) { echo "col-lg-8"; } else { echo "col-lg-12";}?> col-md-12">
					<div class="category-layout-two main-blog-layout blog-new-layout theme-layout-mainn">
					<?php if (have_posts()): ?>
					
						<div class="main-content-inner category-layout-one <?php if(has_post_thumbnail()) { echo "has-fblog"; } else { echo "no-fblog"; } ?>">
						<?php while (have_posts()): the_post(); ?>
							<?php get_template_part('template-parts/content', get_post_format());?>
						<?php
						endwhile; ?>
						</div>	
						
						<div class="theme-pagination-style">
							<?php
								the_posts_pagination(array(
								'next_text' => '<i class="ri-arrow-right-line"></i>',
								'prev_text' => '<i class="ri-arrow-left-line"></i>',
								'screen_reader_text' => ' ',
								'type'               => 'list'
							));
							?>
						</div>
						
						<?php else: ?>
							<?php get_template_part('template-parts/content', 'none'); ?>
						<?php endif; ?>
						
					</div>
				</div>

				<?php get_sidebar(); ?>

			</div>
		</div>
	</section>
	

<?php get_footer(); ?>
