<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package kewi
 */
 

$footer_copyright_text = kewi_get_customize_option('copyright_text');
$footer_copyright_text_allowed_tags = array(
    'a' => array(
        'href' => array(),
        'title' => array()
    ),
	'img' => array(
        'alt' => array(),
        'src' => array()
    ),
    'br' => array(),
    'em' => array(),
    'strong' => array(),
);

$kewi_footer_social = kewi_get_customize_option('footer_social_enable');
$kiwi_social_iconf = kewi_get_customize_option( 'footer-social-icon' );




?>


    <!-- footer area start -->
    <footer class="footer-area theme-footer-wrapper theme_footer_Widegts <?php if(is_active_sidebar('footer-widget-1')) { echo "hav-footer-topp"; } else { echo "no-footer-top";}?>">
        <?php if( is_active_sidebar( 'footer-widget-1' ) ) : ?>
        <div class="footer-top">
            <div class="container">
                <div class="row custom-gutter">
                
                    <?php if ( is_active_sidebar( 'footer-widget-1' ) ): ?>
                    <div class="col-xl-5 col-lg-4 col-md-6 footer_one_Widget">
                        <?php dynamic_sidebar( 'footer-widget-1' ); ?>
                    </div>
                    <?php endif; ?> 
                    
                    <?php if ( is_active_sidebar( 'footer-widget-2' ) ): ?>
                    <div class="col-xl-4 col-lg-4 col-md-6 footer_two_Widget">
                        <?php dynamic_sidebar( 'footer-widget-2' ); ?>
                    </div>
                    <?php endif; ?> 
                    
                    <?php if ( is_active_sidebar( 'footer-widget-3' ) ): ?>
                    <div class="col-xl-3 col-lg-3 col-md-6 footer_three_Widget">
                        <?php dynamic_sidebar( 'footer-widget-3' ); ?>
                    </div>
                    <?php endif; ?>     
                    
                </div>
            </div>
        </div>
        <?php endif; ?>

        <div class="footer-bottom">
            <div class="container">
                <div class="row footer-bottom-row">
                    <div class="col-lg-8">
                        <p class="copyright-text">
                            <?php if( !empty($footer_copyright_text) ){
                                echo wp_kses($footer_copyright_text, $footer_copyright_text_allowed_tags);
                            } else {
                                esc_html_e('Copyright &copy; Kewi 2023. All rights reserved', 'kewi');
                            }?>
                        </p>
                    </div>

                    <div class="col-md-4">

                    	<?php if($kewi_footer_social == true) : ?>

                        <div class="footer-social">
                            <ul class="list-wrap">

		                    <?php 
		                        if ( ! empty( $kiwi_social_iconf ) ) : 
		                        foreach( $kiwi_social_iconf as $item ) :
		                    ?>

                            <li><a href="<?php echo esc_url( $item['link'] ); ?>"><?php echo esc_html( $item['text'] ); ?></a></li>


		                    <?php 
		                        endforeach; 
		                        endif; 
		                    ?>


                            </ul>
                        </div>

                         <?php endif; ?>


                    </div>



                </div>
            </div>
        </div>

    </footer>
    <!-- footer area end -->


	
	</div>
	

   <?php wp_footer(); ?>

   </body>
</html>

