<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package kewi
 */
 
$kewi_preloader = kewi_get_customize_option('preloader_enable', true);
$scroll_top = kewi_get_customize_option('back_top_enable', true);

 
?>
<!DOCTYPE html>
  <html <?php language_attributes(); ?>> 
    <head>
        <meta charset="<?php bloginfo('charset'); ?>">
        <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
		<?php wp_head(); ?>
    </head>
	
	
    <body <?php body_class(); ?> >
		
		<?php wp_body_open(); ?>

		<!-- Theme Preloader -->

		<?php if($scroll_top == true) :?>

      <div id="preloader">
          <div class="ta-preloader-block">
              <div class="ta-spinner-eff">
                  <div class="ta-bar ta-bar-top"></div>
                  <div class="ta-bar ta-bar-right"></div>
                  <div class="ta-bar ta-bar-bottom"></div>
                  <div class="ta-bar ta-bar-left"></div>
              </div>
          </div>
      </div>

		<?php endif; ?>

		<?php if($kewi_preloader == true) :?>
		<!-- Scroll-top -->
    <button class="scroll-top scroll-to-target" data-target="html">
        <i class="fas fa-angle-up"></i>
    </button>
    <!-- Scroll-top-end-->
    <?php endif; ?>


		<div class="body-inner-content">
      
		<?php
		
		// Select Header Style
		
		$kewi_nav_global = kewi_get_customize_option( 'nav_menu' ); // Global
		$kewi_nav_style =  get_post_meta( get_the_ID(), 'kewi_post_meta', true ); // Post Metabox

		if( is_page() && !empty( $kewi_nav_style  ) ) {
		 
			get_template_part( 'template-parts/headers/'.$kewi_nav_style['nav_menu'].'' ); 
		
		} elseif ( class_exists( 'CSF' ) && !empty( $kewi_nav_global ) ) {
			
			get_template_part( 'template-parts/headers/'.$kewi_nav_global.'' ); 
			
		} else {
			
			get_template_part( 'template-parts/headers/nav-style-one' ); 
			
		}
	
		?>
		