<?php
if (!defined('ABSPATH'))
{
	exit; // Exit if accessed directly
	
}

if (!function_exists('kewi_theme_inline_style')):

	function kewi_theme_inline_style()
	{

		wp_enqueue_style('kewi-custom-style', get_template_directory_uri() . '/assets/css/custom-style.css');
		
		
		$theme_main_color = kewi_get_customize_option('theme_main_color');

		$custom_css = '';


		if (!empty($theme_main_color))

		{
			
			$custom_css .= '.wp-block-search .wp-block-search__button, .marquee-wrap-two, .ta-spinner-eff .ta-bar, .progress-wrap .progress-bar, .accordion-wrap .accordion-button:not(.collapsed), .accordion-wrap .accordion-body-wrap, .btn::before, .btn:hover span::before, .blog-sidebar .widget_block.widget_search .wp-block-search__button {background-color: ' . esc_attr($theme_main_color) . ';}';
				
				$custom_css .= ' .banner-content-two .main-title, .testimonial-bottom .rating, .testimonial-item .rating {color: ' . esc_attr($theme_main_color) . '!important;}';
				
				$custom_css .= '.wp-block-search .wp-block-search__button, .blog-sidebar .widget_block.widget_search .wp-block-search__button {border-color: ' . esc_attr($theme_main_color) . ';}';
		}

		
		
		// Get Category Color for List Widget
		
		$categories_widget_color = get_terms('category');
		
        if ($categories_widget_color) {
            foreach( $categories_widget_color as $tag) {
				$tag_link = get_category_link($tag->term_id);
				$title_bg_Color = get_term_meta($tag->term_id, 'kewi', true);
				$catColor = !empty( $title_bg_Color['cat-color'] )? $title_bg_Color['cat-color'] : '#0073FF';
				$custom_css .= '
					.cat-item-'.$tag->term_id.' span.post_count {background-color : '.$catColor.' !important;} 
				';
			}
        }	
		
		wp_add_inline_style('kewi-custom-style', $custom_css);
	}
	add_action('wp_enqueue_scripts', 'kewi_theme_inline_style');

endif;

