<?php
/*
 * Theme Metabox
 * @package Kewi
 * @since 1.0.0
 * */

if ( !defined('ABSPATH') ){
    exit(); // exit if access directly
}

if ( class_exists('CSF') ){

    $prefix = 'kewi';

	/*-------------------------------------
		Category Taxonomy Options
	-------------------------------------*/
	
	
// Create taxonomy options
  CSF::createTaxonomyOptions( $prefix, array(
	'title'     => esc_html__('Catgeory Options','kewi'),
    'taxonomy'  => 'category',
    'data_type' => 'serialize', // The type of the database save options. `serialize` or `unserialize`
  ) );

  //
  // Create a section
  CSF::createSection( $prefix, array(
    'fields' => array(

	array(
	
	  'id'          => 'cat-color',
	  'type'        => 'color',
	  'title'       => esc_html__('Select Category Color','kewi'),
	  'default' => '#0073FF',
	  	  
	),
	
	array(
	
	  'id'          => 'catbg-color',
	  'type'        => 'color',
	  'title'       => esc_html__('Select Category Background Color','kewi'),
	  'default' => '#0073ff1a',
	  	  
	),

	


	array(
	  'id'    => 'cat-bg',
	  'type'  => 'upload',
	  'title' => esc_html__('Upload','kewi'),
	),

	   array(
		'id' => 'kewi_cat_layout',
		'type' => 'image_select',
		'title' => esc_html__('Select Category Layout','kewi'),
		'options' => array(
			'catt-one' => KEWI_IMG . '/admin/page/style1.png',
			'catt-two' => KEWI_IMG . '/admin/page/style2.png',
		),
		'default' => 'catt-one'
	),

    )
  ) );
	
	
	/*-------------------------------------
		Post Format Options
	-------------------------------------*/
	CSF::createMetabox('theme_postvideo_options',array(
		'title' => esc_html__('Video Post Format Options','kewi'),
		'post_type' => 'post',
		'post_formats' => 'video',
		'data_type'          => 'serialize',
		'context'            => 'advanced',
		'priority'           => 'default',
	));
	
	CSF::createSection('theme_postvideo_options',array(
		'fields' => array(
			array(
				'id' => 'textm',
				'type' => 'text',
				'title' => esc_html__('Upload Video For Post','kewi'),
				'desc' => esc_html__('Upload Video Post','kewi'),
			)
		)
	));

	
	/*-------------------------------------
       Page Options
   -------------------------------------*/
   	  $post_metabox = 'kewi_post_meta';
	  
	  CSF::createMetabox( $post_metabox, array(
	    'title'     => esc_html__('Page Options','kewi'),
	    'post_type' => 'page',
	  ) );

	  //
	  // Create a section
	  CSF::createSection( $post_metabox, array(
	    'title'  => 'Nav Menu Option',
	    'fields' => array(
	     array(
                'type'    => 'subheading',
                'content' => esc_html__('Nav Menu Option','kewi'),
	       ),
	      //
		
		array(
            'id' => 'nav_menu',
            'type' => 'image_select',
            'title' => esc_html__('Select Header Navigation Style','kewi'),
            'options' => array(
                'nav-style-one' => KEWI_IMG . '/admin/header-style/style1.png',
                'nav-style-two' => KEWI_IMG . '/admin/header-style/style2.png',
                'nav-style-three' => KEWI_IMG . '/admin/header-style/style3.png',
            ),
            'default' => 'nav-style-one'
        ),


		array(
			'id' => 'page_title_enable',
			'title' => esc_html__('Show Page Title','kewi'),
			'type' => 'switcher',
			'default' => true,
			'desc' => esc_html__('Show Page Title', 'kewi') ,
		),


		array(
            'id' => 'custom_title',
            'type' => 'text',
            'title' => esc_html__('Custom Page Title', 'kewi') ,
            'desc' => esc_html__('Your Cuatom Page Title.', 'kewi') ,
            'dependency' => array(
               'page_title_enable',
               '==',
               'true'
            ) ,

         ) ,


         array(
            'id' => 'breadcrumb_bg',
            'title' => esc_html__('Breadcrumb Image', 'kewi') ,
            'type' => 'media',
            'title' => esc_html__('Breadcrumb Background Image', 'kewi') ,
            'background_color' => false,
            'dependency' => array(
               'page_title_enable',
               '==',
               'true'
            ) ,
         ) ,
		
		
		array(
			'id' => 'page-spacing-padding',
			'type' => 'spacing',
			'title' => esc_html__('Theme Page Spacing', 'kewi') ,
			'output' => 'body.page .main-container',
			'output_mode' => 'padding', // or margin, relative
			'default' => array(
				'top' => '80',
				'right' => '0',
				'bottom' => '80',
				'left' => '0',
				'unit' => 'px',
			) ,
		) ,
		
		
		
		
		

	    )
	  ) );	
	  
	/*-------------------------------------
       Post Options
   -------------------------------------*/
   	  $single_blog_metabox = 'kewi_blog_post_meta';
	  
	  CSF::createMetabox( $single_blog_metabox, array(
	    'title'     => esc_html__('Post Options', 'kewi') ,
	    'post_type' => 'post',
	  ) );

	  //
	  // Create a section
	  CSF::createSection( $single_blog_metabox, array(
	    'title'  => esc_html__('Single Post Layout Option', 'kewi') ,
	    'fields' => array(
	     array(
                'type'    => 'subheading',
                'content' => esc_html__('Single Post Layout Option','kewi'),
	       ),
	      //
		
		array(
				'id' => 'kewi_single_blog_layout',
				'type' => 'image_select',
				'title' => esc_html__('Select Single Blog Style','kewi'),
				'options' => array(
					'single-one' => KEWI_IMG . '/admin/page/blog-1.png',
					'single-two' => KEWI_IMG . '/admin/page/blog-2.png',
				),
				'default' => 'single-one'
			),
		

	    )
	  ) );	




    /*-------------------------------------
    Property Metabox Options
    -------------------------------------*/
    CSF::createMetabox('theme_portfolio_options', array(
        'title' => esc_html__('Single Portfolio Options', 'kewi') ,
        'post_type' => 'theme_portfolio',
        'data_type' => 'serialize',
        'context' => 'advanced',
        'priority' => 'default',
    ));

    CSF::createSection('theme_portfolio_options', array(
        'fields' => array(

            array(
                'id' => 'property_client',
                'type' => 'text',
                'title' => esc_html__('Client Name', 'kewi') ,
                'desc' => esc_html__('Give Client Name.', 'kewi') ,
                'default' => esc_html__('Alonso D. Dowson', 'kewi') ,
            ) ,

            array(
                'id' => 'property_date',
                'type' => 'text',
                'title' => esc_html__('Insert Date', 'kewi') ,
                'desc' => esc_html__('Give Date.', 'kewi') ,
                'default' => esc_html__('24th June 2023', 'kewi') ,
            ) ,

            array(
                'id' => 'property_catname',
                'type' => 'text',
                'title' => esc_html__('Give Catgeory Name', 'kewi') ,
                'desc' => esc_html__('Give Category Name.', 'kewi') ,
                'default' => esc_html__('Architecture', 'kewi') ,
            ) ,

             array(
                'id' => 'property_duration',
                'type' => 'text',
                'title' => esc_html__('Give Duration', 'kewi') ,
                'desc' => esc_html__('Give Duration.', 'kewi') ,
                'default' => esc_html__('6 Months', 'kewi') ,
            ) ,

            array(
                'id' => 'property_price',
                'type' => 'text',
                'title' => esc_html__('Give Price', 'kewi') ,
                'desc' => esc_html__('Give Price.', 'kewi') ,
                'default' => esc_html__('$20,000', 'kewi') ,
            ) ,

            array(
                'id' => 'property_designer',
                'type' => 'text',
                'title' => esc_html__('Give Designer rname', 'kewi') ,
                'desc' => esc_html__('Give Designer name.', 'kewi') ,
                'default' => esc_html__('Hilixon', 'kewi') ,
            ) ,


				

        )
    ));

	  





}//endif