<?php
/**
 * The template for displaying all pages
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package kewi
 */

get_header(); 


if(get_post_meta($post->ID, 'kewi_post_meta', true)) {
    $page_meta = get_post_meta($post->ID, 'kewi_post_meta', true);
} else {
    $page_meta = array();
}

if( array_key_exists( 'page_title_enable', $page_meta )) {
    $enable_title = $page_meta['page_title_enable'];
} else {
    $enable_title = true;
}

if (array_key_exists('custom_title', $page_meta)) {
   $custom_title = $page_meta['custom_title'];
}
else {
   $custom_title = '';
}

if (array_key_exists('breadcrumb_bg', $page_meta)) {
   $breadcrumb_bg = $page_meta['breadcrumb_bg'];
}
else {
   $breadcrumb_bg = '';
}



?>

    <!-- Page Breadcrumb -->
	
	<?php if( $enable_title == true ) : ?>

	<section class="breadcrumb-area breadcrumb-bg" data-background="<?php echo KEWI_IMG.'/breadcrumb_bg.jpg'; ?>">

        <div class="container">
            <div class="row justify-content-center">
                <div class="col-lg-6">
                    <div class="breadcrumb-content">
                        <nav class="theme-new-breadcrumb">
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item"><a href="<?php echo esc_url(home_url('/')); ?>"><?php esc_html_e('Home', 'kewi'); ?></a></li>
                                <li class="breadcrumb-item active" aria-current="page"><?php the_title(); ?></li>
                            </ol>
                        </nav>
                        <h2 class="title">

                        <?php if (!empty($custom_title)) {
						      echo esc_html($custom_title);
						   }
						   else {
						      the_title();
						} ?>

						</h2>

                    </div>
                </div>
            </div>
        </div>
    </section>
    
	<?php endif; ?>
	
    <!-- Page Breadcrumb End -->


	<div id="main-content" class="main-container theme-page-spacing" role="main">
		<div class="container">   
			<div class="row">
				<div class="col-lg-12">
					<?php while ( have_posts() ) : the_post(); ?>
						<div class="single-content">
							<div class="entry-content">
								<?php get_template_part( 'template-parts/content', 'page' ); ?>
								
								<?php 
									// If comments are open or we have at least one comment, load up the comment template.
									if ( comments_open() || get_comments_number() ) :
										comments_template();
									endif;
								?>	
								
							</div>
						</div>
						
					<?php endwhile; ?>
				</div> 
			</div> 
		</div> 
	</div> 
	
	<?php get_footer(); ?>