<?php
/**
 * The template for displaying all single posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package kewi
 */


    $property_meta = get_post_meta( get_the_ID(), 'theme_portfolio_options', true );
    
    if(get_post_meta($post->ID, 'theme_portfolio_options', true)) {
        $propertyy_meta = get_post_meta($post->ID, 'theme_portfolio_options', true);
    } else {
        $propertyy_meta = array();
    }


	if( array_key_exists( 'property_client', $propertyy_meta )) {
        $property_client = $propertyy_meta['property_client'];
    } else {
        $property_client = '';
    }

    if( array_key_exists( 'property_date', $propertyy_meta )) {
        $property_date = $propertyy_meta['property_date'];
    } else {
        $property_date = '';
    }

    if( array_key_exists( 'property_catname', $propertyy_meta )) {
        $property_catname = $propertyy_meta['property_catname'];
    } else {
        $property_catname = '';
    }



get_header();

?>
	
	<section class="breadcrumb-area breadcrumb-bg portfolio-custom-breadcrumb" data-background="<?php echo KEWI_IMG.'/breadcrumb_bg.jpg'; ?>">

        <div class="container">
            <div class="row justify-content-center">
                <div class="col-lg-6">
                    <div class="breadcrumb-content">
                        <nav aria-label="breadcrumb">
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item"><a href="<?php echo esc_url(home_url('/')); ?>"><?php esc_html_e('Home', 'kewi'); ?></a></li>
                                <li class="breadcrumb-item active" aria-current="page"><?php esc_html_e('Portfolio Details', 'kewi'); ?></li>
                            </ol>
                        </nav>
                        <h2 class="title"><?php the_title(); ?></h2>

                    </div>
                </div>
            </div>
        </div>
    </section>

    <div id="main-content" class="main-container theme-portfolio-page-wrap project-details-area pt-120 pb-120" role="main">
		<div class="container">   
			<div class="row">
				<div class="col-lg-12">

					<?php while ( have_posts() ) : the_post(); ?>

						<div class="project-details-img">
                            <img src="<?php echo esc_attr(esc_url(get_the_post_thumbnail_url(null, 'full'))); ?>" alt="<?php the_title_attribute(); ?>">
                        </div>

                        <div class="project-details-wrap">
                                <div class="row">
                                    <div class="col-lg-8">

                                    	<div class="project-details-content single-content">
											<div class="entry-content">
												
												<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
													<div class="post-body clearfix">
														<!-- Article content -->
														<div class="entry-content clearfix">
														<?php
															the_content();

															wp_link_pages( array(
																'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'kewi' ),
																'after'  => '</div>',
															) );
														?>	
														</div>
												    </div> 
												</article>
												
												<?php 
													// If comments are open or we have at least one comment, load up the comment template.
													if ( comments_open() || get_comments_number() ) :
														comments_template();
													endif;
												?>	
												
											</div>
				
										</div>

										<div class="blog-prev-next-posts services-prev-next-posts">
		                                    <div class="row">
		                                        <div class="col-6">
		                                            <div class="pn-post-item">
		                                                <?php previous_post_link(); ?>
		                                            </div>
		                                        </div>
		                                        <div class="col-6">
		                                            <div class="pn-post-item next-post">
		                                               <?php next_post_link(); ?>
		                                            </div>
		                                        </div>
		                                    </div>
		                                </div>


									</div>


						            <div class="col-lg-4">
					                    <aside class="project-sidebar">
					                        <div class="project-widget">
					                            <h4 class="widget-title">Project Details</h4>
					                            <div class="project-info">
					                                <ul class="list-wrap">
					                                    <li>Client<span><?php echo esc_html($property_client); ?></span></li>
					                                    <li>Date<span><?php echo esc_html($property_date); ?></span></li>
					                                    <li>Project<span><?php echo esc_html($property_catname); ?></span></li>
					                                </ul>
					                            </div>
					                        </div>
					                        <div class="project-widget">
					                            <h4 class="widget-title">Get a Free Quote</h4>

					                            <div class="project-form">

					                                <form action="#">
					                                    <div class="form-grp">
					                                        <input type="text" placeholder="Full name">
					                                    </div>
					                                    <div class="form-grp">
					                                        <input type="email" placeholder="Your email">
					                                    </div>
					                                    <div class="form-grp">
					                                        <textarea name="message" placeholder="Message"></textarea>
					                                    </div>
					                                    <button type="submit" class="submit-btn">Make Request</button>
					                                </form>

					                            </div>
					                        </div>
					                    </aside>
					                </div>




						
					
						</div> 
					</div> 


			<?php endwhile; ?>

		</div> 
	</div>

			</div> 
	</div>


<?php get_footer(); ?>
