<?php

if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly
}

$kewi_logo = kewi_get_customize_option( 'theme_logo_light' );
$kewi_logo_id = isset($kewi_logo['id']) && !empty($kewi_logo['id']) ? $kewi_logo['id'] : '';
$kewi_logo_url = isset( $kewi_logo[ 'url' ] ) ? $kewi_logo[ 'url' ] : '';
$kewi_logo_alt = get_post_meta($kewi_logo_id,'_wp_attachment_image_alt',true);


$kewi_logo3 = kewi_get_customize_option( 'theme_logo3' );
$kewi_logo3_id = isset($kewi_logo3['id']) && !empty($kewi_logo3['id']) ? $kewi_logo3['id'] : '';
$kewi_logo3_url = isset( $kewi_logo3[ 'url' ] ) ? $kewi_logo3[ 'url' ] : '';
$kewi_logo3_alt = get_post_meta($kewi_logo3_id,'_wp_attachment_image_alt',true);

$theme_header_sticky = kewi_get_customize_option('theme_header_sticky', true);
$search_bar_enable = kewi_get_customize_option('search_bar_enable');
$burger_nav_enable = kewi_get_customize_option('burger_nav_enable');

$kewi_header_social = kewi_get_customize_option('header_social_enable');
$kiwi_social_icon = kewi_get_customize_option( 'header-social-icon' );


?>

        <header>
            <div id="<?php if( $theme_header_sticky == true ) { echo "sticky-header"; } else { echo "stick-disable"; } ?>" class="menu-area menu-style-two new-nav-two">
                <div class="container custom-container">
                    <div class="row">
                        <div class="col-12">
                            <div class="mobile-nav-toggler">
                                <svg viewBox="0 0 20 20" fill="none" xmlns="http://www.w3.org/2000/svg">
                                    <path d="M18.75 8.75H1.25V11.25H18.75V8.75Z" stroke="currentcolor" stroke-miterlimit="10" stroke-linecap="square" />
                                    <path d="M18.75 2.5H1.25V5H18.75V2.5Z" stroke="currentcolor" stroke-miterlimit="10" stroke-linecap="square" />
                                    <path d="M18.75 15H1.25V17.5H18.75V15Z" stroke="currentcolor" stroke-miterlimit="10" stroke-linecap="square" />
                                </svg>
                            </div>
                            <div class="menu-wrap">
                                <nav class="menu-nav">
                                    <div class="logo d-none">
                                        <a href="<?php echo esc_url( site_url('/')) ?>"><img src="<?php echo KEWI_IMG.'/logo02.png'; ?>" alt="Logo"></a>
                                    </div>

                                    <?php
										wp_nav_menu( array(
											'theme_location' => 'primary',
											'container' => 'div',
											'container_class' => 'navbar-wrap main-menu d-none d-lg-flex',
											'menu_class' => 'navigation theme-main-menu',
											'menu_id'        => 'primary-menu',
											'fallback_cb'  => 'kewi_fallback_menu',
											'walker' => new KewiNavWalker(),
										) );
									?>

                                    <div class="header-action d-none d-md-block">
                                        <ul class="list-wrap">

                                            <?php if($search_bar_enable == true) :?>
                                            <li class="header-search">
                                                <a href="#">
                                                    <svg viewBox="0 0 20 20" fill="none" xmlns="http://www.w3.org/2000/svg">
                                                        <path d="M12.1875 12.1875L17.5 17.5" stroke="currentcolor" stroke-miterlimit="10" stroke-linecap="square" />
                                                        <path d="M8.125 13.75C11.2316 13.75 13.75 11.2316 13.75 8.125C13.75 5.0184 11.2316 2.5 8.125 2.5C5.0184 2.5 2.5 5.0184 2.5 8.125C2.5 11.2316 5.0184 13.75 8.125 13.75Z" stroke="currentcolor" stroke-miterlimit="10" stroke-linecap="square" />
                                                    </svg>
                                                </a>
                                            </li>
                                            <?php endif; ?>


                                        </ul>
                                    </div>
                                </nav>
                            </div>

                            <!-- Mobile Menu  -->
                            <div class="mobile-menu">
                                <nav class="menu-box">
                                    <div class="close-btn"><i class="fas fa-times"></i></div>
                                    <div class="nav-logo">
                                        <?php  
											if ( has_custom_logo() || !empty( $kewi_logo3_url ) ) {
												if( isset( $kewi_logo3['url'] ) && !empty( $kewi_logo3_url ) ) { 
													?>
														<a href="<?php echo esc_url( site_url('/')) ?>">
															<img class="img-fluid" src="<?php echo esc_url( $kewi_logo3_url ); ?>" alt="<?php echo esc_attr( $kewi_logo3_alt  ) ?>">
														</a>
												    <?php 
												} else {
													 the_custom_logo();
												}

											} else {
												printf('<h1 class="text-logo"><a href="%1$s">%2$s</a></h1>',esc_url(site_url('/')),esc_html(get_bloginfo('name')));
											}
										?>
                                    </div>
                                    <div class="menu-outer">
                                        <!--Here Menu Will Come Automatically Via Javascript / Same Menu as in Header-->
                                    </div>


                                    <?php if($kewi_header_social == true) : ?>
                                    <div class="social-links">
                                        <ul class="clearfix list-wrap">

                                        <?php 
                                            if ( ! empty( $kiwi_social_icon ) ) : 
                                            foreach( $kiwi_social_icon as $item ) :
                                        ?>

                                        <li>
                                            <a href="<?php echo esc_url( $item['link'] ); ?>"><i class="<?php echo esc_attr( $item['icon'] ); ?>"></i></a>
                                        </li>

                                        <?php 
                                            endforeach; 
                                            endif; 
                                        ?>

                                        </ul>
                                    </div>
                                    <?php endif; ?>



                                </nav>
                            </div>
                            <div class="menu-backdrop"></div>
                            <!-- End Mobile Menu -->
                        </div>
                    </div>
                </div>
            </div>

            <!-- header-search -->
            <div class="search-popup-wrap" tabindex="-1" role="dialog" aria-hidden="true">
                <div class="search-wrap text-center">
                    <div class="container">
                        <div class="row">
                            <div class="col-12">
                                <div class="search-form">
                                    <form role="search" method="get" id="searchform" class="search-form" action="<?php echo esc_url( home_url( '/' ) ); ?>">
                                        <input type="text" class="search-input" id="popup-search" value="<?php echo get_search_query(); ?>" name="s" placeholder="<?php esc_attr_e('Enter your keyword...','kewi'); ?>" />
                                        <button type="submit" id="serach-popup-btn-box" class="search-button submit-btn search-btn"><i class="flaticon-search"></i></button>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="search-backdrop"></div>
            <!-- header-search-end -->

        </header>
        <!-- header-area-end -->

        <!-- sidebar-menu -->
        <div class="side-menu-wrapper tgCanvas-menu">
            <div class="side-menu-inner">
               <?php dynamic_sidebar( 'header-one-nav-wid' ); ?>
            </div>
        </div>
        <div class="sidebar-menu-backdrop tgCanvas-backdrop"></div>
        <!-- sidebar-menu-end -->

        <!-- sidebar-menu-bar -->
        <div class="sidebar-menu">
            <div class="sidebar-logo">
                <a href="<?php echo esc_url( site_url('/')) ?>"><img src="<?php echo KEWI_IMG.'/logo03.png'; ?>" alt="img"></a>
            </div>

            <?php if($burger_nav_enable == true) :?>
            <div class="menu-icon burger-menu">
                <a href="#">
                    <span></span>
                    <span></span>
                    <span></span>
                </a>
            </div>
            <?php endif; ?>

            <div class="sidebar-social">
                <ul class="list-wrap">


                    <?php 
                        if ( ! empty( $kiwi_social_icon ) ) : 
                        foreach( $kiwi_social_icon as $item ) :
                    ?>

                    <li><a href="<?php echo esc_url( $item['link'] ); ?>"><?php echo esc_html( $item['text'] ); ?></a></li>

                    <?php 
                        endforeach; 
                        endif; 
                    ?>


                    
                </ul>
            </div>

        </div>
        <!-- sidebar-menu-bar-end -->