<?php 

$show_blog_details_thumb = kewi_get_customize_option('show_blog_details_thumb', true);
$blog_single_cat = kewi_get_customize_option('blog_single_cat');
$blog_single_author= kewi_get_customize_option('blog_single_author');
$blog_single_date= kewi_get_customize_option('blog_single_date');
$blog_social = kewi_get_customize_option('blog_social', false);
$blog_single_taglist = kewi_get_customize_option('blog_tags', false);
$blog_author_box = kewi_get_customize_option('blog_author_box');
$blog_single_navigation = kewi_get_customize_option('blog_nav');
$blog_single_related = kewi_get_customize_option('blog_related', false);

?>

<!-- breadcrumb-area -->
<section class="breadcrumb-area breadcrumb-bg" data-background="<?php echo KEWI_IMG.'/breadcrumb_bg.jpg'; ?>">
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-lg-12">
                <div class="breadcrumb-content">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo esc_url(home_url('/')); ?>"><?php esc_html_e('Home', 'kewi'); ?></a></li>
                            <li class="breadcrumb-item active" aria-current="page"><?php esc_html_e('Blog Details', 'kewi'); ?></li>
                        </ol>
                    </nav>
                    <h2 class="title"><?php the_title(); ?></h2>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- breadcrumb-area-end -->


<div id="main-content" class="bloglayout__One main-container blog-single post-layout-style2 single-one-bwrap"  role="main">
	<div class="container">
		<div class="row single-blog-content">

		<div class="<?php if(is_active_sidebar('sidebar-1')) { echo "col-lg-8"; } else { echo "col-lg-12";}?> col-md-12">
		<?php while (have_posts()):
		the_post(); ?>

			<article id="post-<?php the_ID(); ?>" <?php post_class(["post-content", "post-single"]); ?>>
	
				<div class="theme-blog-details">
				
				<?php if ( has_post_thumbnail() && $show_blog_details_thumb == true && !post_password_required() ) : ?>
				<div class="post-featured-image">
				<?php if(get_post_format()=='video'): ?>
					<?php get_template_part( 'template-parts/single/post', 'video' ); ?>  
					<?php else: ?>
					<img class="img-fluid" src="<?php echo esc_url(get_the_post_thumbnail_url()); ?>" alt="<?php the_title_attribute(); ?>">
					<?php endif; ?>
				</div>
				<?php endif; ?>
				
				<div class="post-body clearfix single-blog-header single-blog-inner blog-single-block blog-details-content">
					<!-- Article content -->
					<div class="entry-content clearfix">
						
						<?php
						if ( is_search() ) {
							the_excerpt();
						} else {
							the_content();
							kewi_link_pages();
						}
						?>

					</div>
				</div>
				
				</div>
							
			</article>


			<div class="post-share-tag-box">

				<?php if($blog_social == true) :?>
				<?php echo kewi_social_sharing(); ?>
				<?php endif; ?>

				<?php if(has_tag() && $blog_single_taglist == true ) : ?>
				<div class="post-tag-box">
					<?php kewi_single_post_tags(); ?>
				</div>
				<?php endif; ?>	

			</div>

				<?php if($blog_author_box == true) :?>
					<?php kewi_theme_author_box(); ?>
				<?php endif; ?>

					   
				<?php if($blog_single_navigation == true) :?>
					<?php kewi_theme_post_navigation(); ?>
				<?php endif; ?>

				<?php comments_template(); ?>

				<?php endwhile; ?>
			</div>
					
			<?php get_sidebar(); ?>

		</div>
		
		<?php if($blog_single_related == true) :?>
		<div class="theme_related_posts_Wrapper">
			
			<div class="row">
				<div class="col-lg-12">
					<?php get_template_part('template-parts/single/related', 'posts'); ?>
				</div>
			</div>
			
		</div>
		<?php endif; ?>
	</div> 
	
</div>






